% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sits_filters.R
\name{.sits_mass_ginv}
\alias{.sits_mass_ginv}
\title{Generalized Inverse of a Matrix}
\usage{
.sits_mass_ginv(mtx, tol = sqrt(.Machine$double.eps))
}
\arguments{
\item{mtx}{Matrix for which the Moore-Penrose inverse is required.}

\item{tol}{A relative tolerance to detect zero singular values.}
}
\value{
A MP generalized inverse matrix for X.
}
\description{
Calculates the Moore-Penrose generalized inverse of a matrix X.
}
\references{
Venables, W. N. and Ripley, B. D. (1999)
Modern Applied Statistics with S-PLUS.
}
\keyword{internal}
